Option Strict Off
Public Class 系統執行檔版本管理
    Private Sub 系統執行檔版本管理_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Try
            Me.MdiParent = YD_ERP_SYS : Me.WindowState = 2 : Me.AutoScroll = True
            SQL_系統版本號驗證()
            If dr.Read() Then : 資料庫版本號_lb.Text = "資料庫版本號 : " & dr("系統認證版本號") : 版本號_tb.Text = dr("系統認證版本號") : End If : conn.Close()
            Target1 = Target & AA(0) & "/" : Target2 = Target & AA(1) & "/" : FTP執行檔_wb.Url = New Uri(Target1) : FTP原代碼_wb.Url = New Uri(Target2)
            If FolderBrowserDialog1.ShowDialog = DialogResult.OK Then : 本機資料夾_wb.Navigate(FolderBrowserDialog1.SelectedPath) : End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles 修改_bt.Click
        Try
            SQL_版本號管理修改() : conn.Close() : SQL_系統版本號驗證()
            If dr.Read() Then : 資料庫版本號_lb.Text = "資料庫版本號 : " & dr("系統認證版本號") : 版本號_tb.Text = dr("系統認證版本號") : End If : conn.Close() : MsgBox("修改完成")
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
    Private Sub Button14_Click(sender As Object, e As EventArgs) Handles 讀取資料夾路徑_bt.Click
        Try
            If FolderBrowserDialog1.ShowDialog = DialogResult.OK Then : 本機資料夾_wb.Navigate(FolderBrowserDialog1.SelectedPath) : End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
End Class